function disp(a)

% TDI/DISP disp function for TDI object

loose = strcmp(get(0,'FormatSpacing'),'loose');
fprintf(' %s is a TDI object:\n',inputname(1))
if loose, disp(' '), end
p = {'data','dim','units','dimunits','help','validation','status','userdata'};
disp(cell2struct(cellfun(@(x) a.(x),p,'UniformOutput',false),p,2))
